<script type="text/javascript">
/* Style Switcher */

window.console = window.console || (function(){
	var c = {}; c.log = c.warn = c.debug = c.info = c.error = c.time = c.dir = c.profile = c.clear = c.exception = c.trace = c.assert = function(){};
	return c;
})();

jQuery(document).ready(function($) {
						   
var styleswitcherstr = ' \
	<h2>Style Switcher <a href="#"><i class="icon-cog"></i></a></h2> \
    <div class="content"> \
	 <h3>Layout Style</h3> \
	<div class="width-switcher"> \
	<a id="wide" class="width">Wide</a> \
    <a id="boxed" class="width">Boxed</a> \
	<a id="fixedwithmargin" class="width">Boxed Margin</a> \
    </div> \
    <div style="clear: both;"></div> \
	<h3>Top Bar</h3> \
	<div class="width-switcher"> \
	<a id="hidetop" class="width">Hide</a> \
    <a id="showtop" class="width">Show</a> \
    </div> \
    <div style="clear: both;"></div> \
    <h3>Color Style</h3> \
    <div class="switcher-box"> \
    <a id="color1" class="styleswitch color"></a> \
    <a id="color2" class="styleswitch color"></a> \
    <a id="color3" class="styleswitch color"></a> \
    <a id="color4" class="styleswitch color"></a> \
    <a id="color5" class="styleswitch color"></a> \
	<a id="color6" class="styleswitch color"></a> \
	<a id="color7" class="styleswitch color"></a> \
    <a id="color8" class="styleswitch color"></a> \
    <a id="color9" class="styleswitch color"></a> \
    <a id="color10" class="styleswitch color"></a> \
    <a id="color11" class="styleswitch color"></a> \
	<a id="color12" class="styleswitch color"></a> \
    </div><!-- End switcher-box --> \
    <div style="clear: both;"></div> \
    <div class="bg hidden">  \
    <h3>BG Pattern</h3>  \
    <a id="purty_wood" class="pattern"></a> \
    <a id="batthern" class="pattern"></a> \
    <a id="always_grey" class="pattern"></a> \
    <a id="bedge_grunge" class="pattern"></a> \
    <a id="bgnoise_lg" class="pattern"></a> \
    <a id="retina_wood" class="pattern"></a> \
    <a id="weave" class="pattern"></a> \
    <a id="checkered_pattern" class="pattern"></a> \
    <a id="fancy_deboss" class="pattern"></a> \
    <a id="diagonal-noise" class="pattern"></a> \
    <a id="debut_dark" class="pattern"></a> \
    <a id="little_triangles" class="pattern"></a> \
    <a id="lyonnette" class="pattern"></a> \
    <a id="noisy_grid" class="pattern"></a> \
    <a id="bright_squares" class="pattern"></a> \
    </div> \
    <div style="clear: both;"></div> \
    <h3>For Your Information :)</h3> \
	<span class="dark-style">You have to understand that this is just very small part of customizations that you can do with this theme.</span> \
    </div><!-- End content --> \
	';
	
$(".switcher").prepend( styleswitcherstr );

});

/* boxed & wide syle */
jQuery(document).ready(function($) {

var cookieName = 'light';

function changeLayout(layout) {
$.cookie(cookieName, layout);
$('head link[name=layout]').attr('href', '<?php echo Lioit_URI; ?>/css/skins/' + layout + '.css');
}

if( $.cookie(cookieName)) {
changeLayout($.cookie(cookieName));
}

$("#dark").click( function(){ $
changeLayout('dark');
});

$("#light").click( function(){ $
changeLayout('light');
});

});



jQuery(document).ready(function($) {
	
var cookieName = 'wide';

function changewidth(width) {
$.cookie(cookieName, width);
$('head link[name=width]').attr('href', '<?php echo Lioit_URI; ?>/css/layout/' + width + '.css');
}

if( $.cookie(cookieName)) {
changewidth($.cookie(cookieName));
}

$("#wide").click( function(){ $
changewidth('wide');
});

$("#boxed").click( function(){ $
changewidth('boxed');
});

$("#fixedwithmargin").click( function(){ $
changewidth('fixedwithmargin');
});

});





jQuery(document).ready(function($) {
	
var cookieName = 'showtop';

function changetop(showtop) {
$.cookie(cookieName, showtop);
$( ".topBar" ).show( 1000, function() {
  });
}

if( $.cookie(cookieName)) {
changetop($.cookie(cookieName));
}

$("#showtop").click( function(){ $
$( ".topBar" ).css( "display", "block" )
});

$("#hidetop").click( function(){ $
$( ".topBar" ).css( "display", "none" )
});



});




/* background images */
jQuery(document).ready(function($) {
  
  var startClass = $.cookie('mycookie');
  $("body").addClass("retina_wood");

/* batthern */
$("#batthern").click( function(){ 
  $("body").removeClass('always_grey');
  $("body").removeClass('bedge_grunge');
  $("body").removeClass('purty_wood');
  $("body").removeClass('bgnoise_lg');
  $("body").removeClass('retina_wood');
  $("body").removeClass('checkered_pattern');
  $("body").removeClass('debut_dark');
  $("body").removeClass('diagonal-noise');
  $("body").removeClass('fancy_deboss');
  $("body").removeClass('little_triangles');
  $("body").removeClass('lyonnette');
  $("body").removeClass('noisy_grid');
  $("body").removeClass('weave');
  $("body").removeClass('bright_squares');
  $("body").addClass('batthern');
  $.cookie('mycookie','batthern');
});

/* always_grey */
$("#always_grey").click( function(){ 
  $("body").removeClass('batthern');
  $("body").removeClass('bedge_grunge');
  $("body").removeClass('purty_wood');
  $("body").removeClass('bgnoise_lg');
  $("body").removeClass('retina_wood');
  $("body").removeClass('checkered_pattern');
  $("body").removeClass('debut_dark');
  $("body").removeClass('diagonal-noise');
  $("body").removeClass('fancy_deboss');
  $("body").removeClass('little_triangles');
  $("body").removeClass('lyonnette');
  $("body").removeClass('noisy_grid');
  $("body").removeClass('weave');
  $("body").removeClass('bright_squares');
  $("body").addClass('always_grey');
  $.cookie('mycookie','always_grey');
});

/* bedge_grunge */
$("#bedge_grunge").click( function(){ 
  $("body").removeClass('batthern');
  $("body").removeClass('always_grey');
  $("body").removeClass('purty_wood');
  $("body").removeClass('bgnoise_lg');
  $("body").removeClass('retina_wood');
  $("body").removeClass('checkered_pattern');
  $("body").removeClass('debut_dark');
  $("body").removeClass('diagonal-noise');
  $("body").removeClass('fancy_deboss');
  $("body").removeClass('little_triangles');
  $("body").removeClass('lyonnette');
  $("body").removeClass('noisy_grid');
  $("body").removeClass('weave');
  $("body").removeClass('bright_squares');
  $("body").addClass('bedge_grunge');
  $.cookie('mycookie','bedge_grunge');
});

/* purty_wood */
$("#purty_wood").click( function(){ 
  $("body").removeClass('batthern');
  $("body").removeClass('always_grey');
  $("body").removeClass('bedge_grunge');
  $("body").removeClass('bgnoise_lg');
  $("body").removeClass('retina_wood');
  $("body").removeClass('checkered_pattern');
  $("body").removeClass('debut_dark');
  $("body").removeClass('diagonal-noise');
  $("body").removeClass('fancy_deboss');
  $("body").removeClass('little_triangles');
  $("body").removeClass('lyonnette');
  $("body").removeClass('noisy_grid');
  $("body").removeClass('weave');
  $("body").removeClass('bright_squares');
  $("body").addClass('purty_wood');
  $.cookie('mycookie','purty_wood');
});

/* bgnoise_lg */
$("#bgnoise_lg").click( function(){ 
  $("body").removeClass('batthern');
  $("body").removeClass('always_grey');
  $("body").removeClass('bedge_grunge');
  $("body").removeClass('purty_wood');
  $("body").removeClass('retina_wood');
  $("body").removeClass('checkered_pattern');
  $("body").removeClass('debut_dark');
  $("body").removeClass('diagonal-noise');
  $("body").removeClass('checkered_pattern');
  $("body").removeClass('little_triangles');
  $("body").removeClass('lyonnette');
  $("body").removeClass('noisy_grid');
  $("body").removeClass('weave');
  $("body").removeClass('bright_squares');
  $("body").addClass('bgnoise_lg');
  $.cookie('mycookie','bgnoise_lg');
});

/* triangles */
$("#retina_wood").click( function(){ 
  $("body").removeClass('batthern');
  $("body").removeClass('always_grey');
  $("body").removeClass('bedge_grunge');
  $("body").removeClass('purty_wood');
  $("body").removeClass('bgnoise_lg');
  $("body").removeClass('checkered_pattern');
  $("body").removeClass('debut_dark');
  $("body").removeClass('diagonal-noise');
  $("body").removeClass('fancy_deboss');
  $("body").removeClass('little_triangles');
  $("body").removeClass('lyonnette');
  $("body").removeClass('noisy_grid');
  $("body").removeClass('weave');
  $("body").removeClass('bright_squares');
  $("body").addClass('retina_wood');
  $.cookie('mycookie','retina_wood');
});

/* triangles */
$("#fancy_deboss").click( function(){ 
  $("body").removeClass('batthern');
  $("body").removeClass('always_grey');
  $("body").removeClass('bedge_grunge');
  $("body").removeClass('purty_wood');
  $("body").removeClass('bgnoise_lg');
  $("body").removeClass('retina_wood');
  $("body").removeClass('debut_dark');
  $("body").removeClass('diagonal-noise');
  $("body").removeClass('checkered_pattern');
  $("body").removeClass('little_triangles');
  $("body").removeClass('lyonnette');
  $("body").removeClass('noisy_grid');
  $("body").removeClass('weave');
  $("body").removeClass('bright_squares');
  $("body").addClass('checkered_pattern');
  $.cookie('mycookie','fancy_deboss');
});

/* debut_dark */
$("#debut_dark").click( function(){ 
  $("body").removeClass('batthern');
  $("body").removeClass('always_grey');
  $("body").removeClass('bedge_grunge');
  $("body").removeClass('purty_wood');
  $("body").removeClass('bgnoise_lg');
  $("body").removeClass('retina_wood');
  $("body").removeClass('checkered_pattern');
  $("body").removeClass('diagonal-noise');
  $("body").removeClass('fancy_deboss');
  $("body").removeClass('little_triangles');
  $("body").removeClass('lyonnette');
  $("body").removeClass('noisy_grid');
  $("body").removeClass('weave');
  $("body").removeClass('bright_squares');
  $("body").addClass('debut_dark');
  $.cookie('mycookie','debut_dark');
});

/* diagonal-noise */
$("#diagonal-noise").click( function(){ 
  $("body").removeClass('batthern');
  $("body").removeClass('always_grey');
  $("body").removeClass('bedge_grunge');
  $("body").removeClass('purty_wood');
  $("body").removeClass('bgnoise_lg');
  $("body").removeClass('retina_wood');
  $("body").removeClass('checkered_pattern');
  $("body").removeClass('debut_dark');
  $("body").removeClass('fancy_deboss');
  $("body").removeClass('fancy_deboss');
  $("body").removeClass('lyonnette');
  $("body").removeClass('noisy_grid');
  $("body").removeClass('weave');
  $("body").removeClass('bright_squares');
  $("body").addClass('diagonal-noise');
  $.cookie('mycookie','diagonal-noise');
});

/* checkered_pattern */
$("#checkered_pattern").click( function(){ 
  $("body").removeClass('batthern');
  $("body").removeClass('always_grey');
  $("body").removeClass('bedge_grunge');
  $("body").removeClass('purty_wood');
  $("body").removeClass('bgnoise_lg');
  $("body").removeClass('retina_wood');
  $("body").removeClass('fancy_deboss');
  $("body").removeClass('debut_dark');
  $("body").removeClass('diagonal-noise');
  $("body").removeClass('little_triangles');
  $("body").removeClass('lyonnette');
  $("body").removeClass('noisy_grid');
  $("body").removeClass('weave');
  $("body").removeClass('bright_squares');
  $("body").addClass('fancy_deboss');
  $.cookie('mycookie','checkered_pattern');
});

/* little_triangles */
$("#little_triangles").click( function(){ 
  $("body").removeClass('batthern');
  $("body").removeClass('always_grey');
  $("body").removeClass('bedge_grunge');
  $("body").removeClass('purty_wood');
  $("body").removeClass('bgnoise_lg');
  $("body").removeClass('retina_wood');
  $("body").removeClass('checkered_pattern');
  $("body").removeClass('debut_dark');
  $("body").removeClass('diagonal-noise');
  $("body").removeClass('fancy_deboss');
  $("body").removeClass('lyonnette');
  $("body").removeClass('noisy_grid');
  $("body").removeClass('weave');
  $("body").removeClass('bright_squares');
  $("body").addClass('little_triangles');
  $.cookie('mycookie','little_triangles');
});

/* lyonnette */
$("#lyonnette").click( function(){ 
  $("body").removeClass('batthern');
  $("body").removeClass('always_grey');
  $("body").removeClass('bedge_grunge');
  $("body").removeClass('purty_wood');
  $("body").removeClass('bgnoise_lg');
  $("body").removeClass('retina_wood');
  $("body").removeClass('checkered_pattern');
  $("body").removeClass('debut_dark');
  $("body").removeClass('diagonal-noise');
  $("body").removeClass('fancy_deboss');
  $("body").removeClass('little_triangles');
  $("body").removeClass('noisy_grid');
  $("body").removeClass('weave');
  $("body").removeClass('bright_squares');
  $("body").addClass('lyonnette');
  $.cookie('mycookie','lyonnette');
});

/* noisy_grid */
$("#noisy_grid").click( function(){ 
  $("body").removeClass('batthern');
  $("body").removeClass('always_grey');
  $("body").removeClass('bedge_grunge');
  $("body").removeClass('purty_wood');
  $("body").removeClass('bgnoise_lg');
  $("body").removeClass('retina_wood');
  $("body").removeClass('checkered_pattern');
  $("body").removeClass('debut_dark');
  $("body").removeClass('diagonal-noise');
  $("body").removeClass('fancy_deboss');
  $("body").removeClass('little_triangles');
  $("body").removeClass('lyonnette');
  $("body").removeClass('weave');
  $("body").removeClass('bright_squares');
  $("body").addClass('noisy_grid');
  $.cookie('mycookie','noisy_grid');
});

/* weave */
$("#weave").click( function(){ 
  $("body").removeClass('batthern');
  $("body").removeClass('always_grey');
  $("body").removeClass('bedge_grunge');
  $("body").removeClass('purty_wood');
  $("body").removeClass('bgnoise_lg');
  $("body").removeClass('retina_wood');
  $("body").removeClass('checkered_pattern');
  $("body").removeClass('debut_dark');
  $("body").removeClass('diagonal-noise');
  $("body").removeClass('fancy_deboss');
  $("body").removeClass('little_triangles');
  $("body").removeClass('lyonnette');
  $("body").removeClass('noisy_grid');
  $("body").removeClass('bright_squares');
  $("body").addClass('weave');
  $.cookie('mycookie','weave');
});

/* bright_squares */
$("#bright_squares").click( function(){ 
  $("body").removeClass('batthern');
  $("body").removeClass('always_grey');
  $("body").removeClass('bedge_grunge');
  $("body").removeClass('purty_wood');
  $("body").removeClass('bgnoise_lg');
  $("body").removeClass('retina_wood');
  $("body").removeClass('checkered_pattern');
  $("body").removeClass('debut_dark');
  $("body").removeClass('diagonal-noise');
  $("body").removeClass('fancy_deboss');
  $("body").removeClass('little_triangles');
  $("body").removeClass('lyonnette');
  $("body").removeClass('noisy_grid');
  $("body").removeClass('weave');
  $("body").addClass('bright_squares');
  $.cookie('mycookie','bright_squares');
});



if ($.cookie('mycookie')) {
  $('body').addClass($.cookie('mycookie'));
}

});

/* Skins Style */
jQuery(document).ready(function($) {

var cookieName = 'color1';

function changeLayout(layout) {
$.cookie(cookieName, layout);
$('head link[name=skins]').attr('href', '<?php echo Lioit_URI; ?>/css/skins/' + layout + '.css');
}

if( $.cookie(cookieName)) {
changeLayout($.cookie(cookieName));
}

$("#color1").click( function(){ $
changeLayout('color1');
});

$("#color2").click( function(){ $
changeLayout('color2');
});

$("#color3").click( function(){ $
changeLayout('color3');
});

$("#color4").click( function(){ $
changeLayout('color4');
});

$("#color5").click( function(){ $
changeLayout('color5');
});

$("#color6").click( function(){ $
changeLayout('color6');
});

$("#color7").click( function(){ $
changeLayout('color7');
});

$("#color8").click( function(){ $
changeLayout('color8');
});

$("#color9").click( function(){ $
changeLayout('color9');
});

$("#color10").click( function(){ $
changeLayout('color10');
});

$("#color11").click( function(){ $
changeLayout('color11');
});

$("#color12").click( function(){ $
changeLayout('color12');
});



});


/* Reset Switcher */
jQuery(document).ready(function($) {

// Style Switcher	
$('.switcher').animate({
left: '-235px'
});

$('.switcher h2 a').click(function(e){
e.preventDefault();
var div = $('.switcher');
console.log(div.css('left'));
if (div.css('left') === '-235px') {
$('.switcher').animate({
  left: '0px'
}); 
} else {
$('.switcher').animate({
  left: '-235px'
});
}
})


/*$('a.color').click(function(e){
e.preventDefault();
$(this).parent().parent().find('a').removeClass('selected');
$(this).addClass('selected');
})

$('a.pattern').click(function(e){
e.preventDefault();
$(this).parent().parent().find('a').removeClass('selected2');
$(this).addClass('selected2');
})

$('a.layout').click(function(e){
e.preventDefault();
$(this).parent().parent().find('a').removeClass('selected3');
$(this).addClass('selected3');
})*/

		 
});						   


</script>
